hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | Safe-Inferred
Language | Haskell2010

HaskellWorks.Data.Unsign

# Documentation

class Unsign a where #

Associated Types

type UnsignOf a #

Methods

unsign :: a -> UnsignOf a #

#### Instances

Instances details

Unsign Int16 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Int16 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Int16 = Word16

Methods

unsign :: Int16 -> UnsignOf Int16 #

Unsign Int32 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Int32 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Int32 = Word32

Methods

unsign :: Int32 -> UnsignOf Int32 #

Unsign Int64 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Int64 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Int64 = Word64

Methods

unsign :: Int64 -> UnsignOf Int64 #

Unsign Int8 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Int8 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Int8 = Word8

Methods

unsign :: Int8 -> UnsignOf Int8 #

Unsign Word16 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Word16 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Word16 = Word16

Methods

unsign :: Word16 -> UnsignOf Word16 #

Unsign Word32 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Word32 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Word32 = Word32

Methods

unsign :: Word32 -> UnsignOf Word32 #

Unsign Word64 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Word64 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Word64 = Word64

Methods

unsign :: Word64 -> UnsignOf Word64 #

Unsign Word8 # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Word8 |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Word8 = Word8

Methods

unsign :: Word8 -> UnsignOf Word8 #

Unsign Int # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Int |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Int = Word

Methods

unsign :: Int -> UnsignOf Int #

Unsign Word # |

Instance details

Defined in HaskellWorks.Data.Unsign

Associated Types

type UnsignOf Word |
Instance details Defined in HaskellWorks.Data.Unsign type UnsignOf Word = Word

Methods

unsign :: Word -> UnsignOf Word #